[WebView Autofill] Require secure context to query suggestion.

- Add flag to indicate whether secure context is required in
autofill_agent.
- Set flag for WebView autofill.

BUG=741809

Change-Id: Ibd3e896cfc96f0498fb47a2fb59cc52be6a25feb
Reviewed-on: https://chromium-review.googlesource.com/568406
Reviewed-by: Roger McFarlane <rogerm@chromium.org>
Reviewed-by: Selim Gurun <sgurun@chromium.org>
Reviewed-by: Emily Stark <estark@chromium.org>
Commit-Queue: Selim Gurun <sgurun@chromium.org>
Cr-Commit-Position: refs/heads/master@{#487100}
5 files changed